List webhooks
curl --request GET \
--url https://api.moonemail.co/webhooks \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.moonemail.co/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.moonemail.co/webhooks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"object": "list",
"has_more": true,
"data": [
{
"object": "webhook",
"id": "<string>",
"endpoint": "<string>",
"events": [
"email.sent"
],
"status": "enabled",
"created_at": "<string>",
"signing_secret": "<string>"
}
]
}{
"statusCode": 123,
"name": "<string>",
"message": "<string>"
}Webhooks
List webhooks
List team webhook destinations without existing signing secrets.
Required permission: webhooks:read.
GET
/
webhooks
List webhooks
curl --request GET \
--url https://api.moonemail.co/webhooks \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.moonemail.co/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.moonemail.co/webhooks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"object": "list",
"has_more": true,
"data": [
{
"object": "webhook",
"id": "<string>",
"endpoint": "<string>",
"events": [
"email.sent"
],
"status": "enabled",
"created_at": "<string>",
"signing_secret": "<string>"
}
]
}{
"statusCode": 123,
"name": "<string>",
"message": "<string>"
}